<?php
// Enable CORS
header("Access-Control-Allow-Origin: http://localhost:5173"); // Allow requests from your frontend origin
header("Access-Control-Allow-Methods: GET, POST, OPTIONS"); // Specify allowed HTTP methods
header("Access-Control-Allow-Headers: Content-Type"); // Allow specific headers

require('./connection.php');

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get tire ID from the query parameter
if (isset($_GET['id'])) {
    $tire_id = intval($_GET['id']); // Sanitize the input to prevent SQL injection

    // Define the SQL query to fetch the specific tire by ID
    $sql = "SELECT * FROM tires WHERE id = $tire_id";
    
    // Run the query and check for errors
    $result = $conn->query($sql);

    if (!$result) {
        // If the query fails, output the error message
        die("Query failed: " . $conn->error);
    }

    // Check if a record is found
    if ($result->num_rows > 0) {
        // Fetch the row data
        $tire = $result->fetch_assoc();

        // Send the data as a JSON response
        echo json_encode($tire);
    } else {
        // If no record found, return an empty response
        echo json_encode([]);
    }
} else {
    // If no ID parameter is provided, return an error response
    echo json_encode(["error" => "Tire ID is required"]);
}

$conn->close();
?>
