<?php
// Enable CORS
header("Access-Control-Allow-Origin: https://str.shredthebottle.ca"); // Allow requests from your frontend origin
header("Access-Control-Allow-Methods: GET, POST, OPTIONS"); // Specify allowed HTTP methods
header("Access-Control-Allow-Headers: Content-Type"); // Allow specific headers

// Include your database connection
require('./connection.php');

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get tire search parameters from the query string
$manufacturer = isset($_GET['manufacturer']) ? $_GET['manufacturer'] : '';

// Start building the SQL query
$sql = "SELECT * FROM tires WHERE 1=1"; // 1=1 makes it easy to add conditions

// Add condition based on the usagee parameter
if (!empty($manufacturer)) {
    $sql .= " AND manufacturer = '$manufacturer'";
}

// Run the query and check for errors
$result = $conn->query($sql);

if (!$result) {
    // If the query fails, output the error message
    die("Query failed: " . $conn->error);
}

// Check if any records were found
if ($result->num_rows > 0) {
    // Fetch all the rows as an associative array
    $tires = [];
    while ($row = $result->fetch_assoc()) {
        $tires[] = $row;
    }

    // Send the data as a JSON response
    echo json_encode($tires);
} else {
    // If no records found, return an empty array
    echo json_encode([]);
}

// Close the database connection
$conn->close();
?>
