<?php
// Enable CORS
header("Access-Control-Allow-Origin: https://str.shredthebottle.ca"); // Allow requests from your frontend origin
header("Access-Control-Allow-Methods: GET, POST, OPTIONS"); // Specify allowed HTTP methods
header("Access-Control-Allow-Headers: Content-Type"); // Allow specific headers

require('./connection.php');

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Define the SQL query to fetch all tire records
$sql = "SELECT * FROM tires";
$result = $conn->query($sql);

// Check if records exist
if ($result->num_rows > 0) {
    // Create an array to store tire data
    $tires = array();

    // Fetch each record and add it to the array
    while ($row = $result->fetch_assoc()) {
        $tires[] = $row;
    }

    // Send the data as a JSON response
    echo json_encode($tires);
} else {
    // If no records, return an empty array
    echo json_encode([]);
}

$conn->close();
?>
