<?php
// Enable CORS
header("Access-Control-Allow-Origin: https://str.shredthebottle.ca"); // Allow requests from your frontend origin
header("Access-Control-Allow-Methods: GET, POST, OPTIONS"); // Specify allowed HTTP methods
header("Access-Control-Allow-Headers: Content-Type"); // Allow specific headers

require('./connection.php');

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Define the SQL query to fetch all tire records
$sql = "SELECT * FROM wheels";
$result = $conn->query($sql);

// Check if records exist
if ($result->num_rows > 0) {
    // Output data as HTML rows
    $index = 1;
    while ($row = $result->fetch_assoc()) {
       
        $created_on = new DateTime($row['postedat']);
        $formatted_date = $created_on->format('d M Y'); 

        echo "<tr>";
        echo "<th scope='row'>" . $index++ . "</th>";
        echo "<td>" . htmlspecialchars($row['tire_name']) . "</td>";
        echo "<td>" . htmlspecialchars($row['wheel_width']) . "</td>";
        echo "<td>" . htmlspecialchars($row['finish']) . "</td>";
        echo "<td>" . $formatted_date . "</td>"; 
        echo "<td class='d-flex flex-row'>";
        echo "<button class='btn btn-primary btn-sm me-1 viewtire'  data-id=" . htmlspecialchars($row['id']) . ">View</button>";
        echo "<button class='btn btn-dark btn-sm me-1 deletetire'  data-id=" . htmlspecialchars($row['id']) . ">Delete</button>";
        echo "</td>";
        echo "</tr>";
    }
} else {
    echo "<tr><td colspan='6' class='text-center'>No tires found</td></tr>";
}

$conn->close();
?>
