<?php

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    require ('./connection.php');

    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    $tireName = $_POST['tire_name'];
    $wheelWidth = $_POST['wheel_width'];
    $wheelSize = $_POST['wheel_size'];  // Updated field
    $finish = $_POST['finish'];  // Updated field
    $code = $_POST['code'];  // Updated field
    $offset = $_POST['offset'];  // Updated field
    $centerbore = $_POST['centerbore'];  // Updated field
    $material = $_POST['material'];  // Updated field
    $tireImage = $_FILES['tire_image'];

    // Validate inputs
    if (empty($tireName) || empty($tireImage['name'])) {
        echo "Tire name and image are required!";
        exit;
    }

    $targetDir = "uploads/"; // Make sure this folder exists and has write permissions
    $targetFile = $targetDir . basename($tireImage["name"]);
    $imageFileType = strtolower(pathinfo($targetFile, PATHINFO_EXTENSION));

    // Validate image
    if (getimagesize($tireImage["tmp_name"]) === false) {
        echo "File is not an image.";
        exit;
    }
    if ($tireImage["size"] > 2000000) {
        echo "File is too large.";
        exit;
    }

    // Allow only certain file formats (JPG, PNG, JPEG)
    if ($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg") {
        echo "Only JPG, JPEG, and PNG files are allowed.";
        exit;
    }

    // Move uploaded file to the target directory
    if (move_uploaded_file($tireImage["tmp_name"], $targetFile)) {
        // Prepare SQL query to insert data into the database
        $sql = "INSERT INTO wheels (
                    tire_name, wheel_width, wheel_size, finish, code, `offset`, centerbore, material, tire_image
                ) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?)";

        // Prepare statement
        $stmt = $conn->prepare($sql);
        $stmt->bind_param(
            "sssssssss", 
            $tireName, $wheelWidth, $wheelSize, $finish, $code, $offset, $centerbore, $material, $targetFile
        );

        // Execute the statement
        if ($stmt->execute()) {
            echo "Success"; // Successfully added
        } else {
            echo "Error: " . $stmt->error;
        }

        $stmt->close();
    } else {
        echo "Error uploading the file.";
    }
}

$conn->close();
?>
